<div class="container-fluid">
  <div class="form">
    <div nz-row class="form-row">

      <div nz-col nzSpan="5" class="form-row__left">
        <div class="title-input">
          <p class="form-row__label">{{shareData.type ?
            ('modelOrganization.correctionOrganization.label.reasonCorrection' | translate) :
            ('modelOrganization.correctionOrganization.label.reasonAdjust' | translate)}}</p>
          <p class="required">*</p>
        </div>
        <span nzTooltipTitle="{{createOrganization.value.description}}" nzTooltipPlacement="bottomRight"
              [nzTooltipOverlayClassName]="createOrganization.value.description?.length > 40 ? '' : 'tooltip-hide'"
              nz-tooltip>{{createOrganization.value.description?.length > 40 ?
          createOrganization.value.description.substring(0, 40) + '...' : createOrganization.value.description}}</span>
      </div>

      <div nz-col nzSpan="5" class="form-row__left">
        <div class="title-input">
          <p class="form-row__label">Ngày hiệu lực</p>
          <p class="required">*</p>
        </div>
        <span>{{createOrganization.value.dateVisible ? (createOrganization.value.dateVisible | date: 'dd/MM/yyyy') : ''}}</span>
      </div>

      <div nz-col nzSpan="5" class="form-row__center">
        <div class="title-input">
          <p class="form-row__label">{{'modelOrganization.correctionOrganization.label.numOfReport' | translate}}</p>
          <p class="required">*</p>
        </div>
        <span>{{createOrganization.value.sapNo}}</span>
      </div>

      <div nz-col nzSpan="5" class="form-row__right">
        <div class="title-input">
          <p class="form-row__label">{{'modelOrganization.correctionOrganization.label.attachment' | translate}}</p>
          <p class="required">*</p>
        </div>
        <div class="form-row">
          <div class="attach">
            <a (click)="showModal()" class="file-attach" nz-tooltip
               [nzTooltipTitle]="file.fileName">{{file.fileName}}</a>
          </div>
        </div>
      </div>
    </div>

    <div nz-row class="form-row">
      <div nz-col nzSpan="5" class="form-row__left">
        <div>
          <span nz-typography class="form-row__label">{{'modelOrganization.correctionOrganization.label.parentUnit' |
            translate}}</span>
        </div>
        <span>{{createOrganization.value.parent}}</span>
      </div>
      <div *ngIf="createOrganization.value.regionView" nz-col nzSpan="5" class="form-row__right">
        <div>
          <span nz-typography class="form-row__label">{{'modelOrganization.correctionOrganization.label.area' |
            translate}}</span>
        </div>
        <span>{{createOrganization.value.regionView}}</span>
      </div>
      <div *ngIf="createOrganization.value.branchView" nz-col nzSpan="5" class="form-row__center">
        <div>
          <span nz-typography class="form-row__label">{{'modelOrganization.correctionOrganization.label.typeBranch' |
            translate}}</span>
        </div>
        <span>{{createOrganization.value.branchView}}</span>
      </div>
      <div nz-col nzSpan="5" class="form-row__center" *ngIf="createOrganization.value.legalBranchName">
        <div>
          <span nz-typography class="form-row__label">{{'modelOrganization.correctionOrganization.label.legalBranch' |
            translate}}</span>
        </div>
        <span>{{createOrganization.value.legalBranchName}}</span>
      </div>
    </div>
  </div>

  <div nz-row class="template">
    <div class="jd-table">
      <nz-table #basicTable nzTableLayout="fixed" [nzData]="shareData.data ? [''] : []" [nzFrontPagination]="false"
                [nzShowPagination]="false" nzSize="small">
        <thead>
        <tr>
          <th scope="col" class="jd-table__label" [nzWidth]="shareData.width">
            {{'modelOrganization.correctionOrganization.label.infoUnit' | translate}}</th>
          <th scope="col" class="jd-table__label" nzWidth="30%">
            {{'modelOrganization.correctionOrganization.label.feature' | translate}}</th>
          <th scope="col" class="jd-table__label" nzWidth="30%">{{'modelOrganization.correctionOrganization.label.job'
            | translate}}</th>
          <th scope="col" class="jd-table__label" nzWidth="20%" *ngIf="shareData.type">
            {{'modelOrganization.correctionOrganization.label.invalidDate' | translate}}</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td nz-tooltip [nzTooltipTitle]="createOrganization.value.orgName">
            <div class="text-overflow">
              <span class="fun-row__span">{{createOrganization.value.orgName}}</span>
            </div>
          </td>
          <td colspan="2">
        <tr *ngFor="let fun of shareData.data?.orgAttributes; let f1 = index" class="row-container__tr">
          <ng-container *ngIf="fun.control.value || fun.positions.length > 0">
            <div class="row-container" [ngClass]="f1 === 0 ? '' : 'form-row__padding'">
              <td class="row-container__fun" nz-tooltip [nzTooltipTitle]="fun.control.value">
                <div class="text-overflow">
                  <span class="fun-row__span">{{fun.control.value}} </span>
                </div>
              </td>
              <td class="row-container__job">
                <ng-container *ngFor="let job of fun.positions; let f1 = index">
                  <div class="fun-row">
                    <span>{{job.value}} </span>
                  </div>
                </ng-container>
              </td>
            </div>
          </ng-container>
        </tr>
        </td>
        <td *ngIf="shareData.type">
          {{createOrganization.value.toDate | date: 'dd/MM/yyyy'}}
        </td>
        </tr>
        </tbody>
      </nz-table>
    </div>
  </div>
</div>

<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
          [nzStyle]="{ width: '80vw' }" (nzOnCancel)="handleCancel()">
  <ng-template #modalTitle>View PDF File</ng-template>

  <ng-template #modalContent>
    <div>
      <pdf-viewer [src]="pdfSrc" [show-all]="true" [fit-to-page]="true" [render-text]="true" [original-size]="true"
                  class="pdf-view"></pdf-viewer>
    </div>
  </ng-template>

  <ng-template #modalFooter>
    <p></p>
  </ng-template>
</nz-modal>
